LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices



Reply
 
Search this Thread
Old 02-25-2006, 07:28 PM   #1
cccc
Senior Member
 
Registered: Sep 2003
Distribution: Debian Squeeze / Wheezy
Posts: 1,618

Rep: Reputation: 48
howto check module version under linux ?


hi

howto check module version under linux, for example the vesion of the madifi driver ?

greetings
cccc
 
Old 02-25-2006, 08:13 PM   #2
Electro
Guru
 
Registered: Jan 2002
Posts: 6,042

Rep: Reputation: Disabled
Use the utility /sbin/modinfo.
 
Old 03-13-2010, 06:14 PM   #3
Rulatir
LQ Newbie
 
Registered: Jul 2008
Posts: 2

Rep: Reputation: 0
Quote:
Originally Posted by Electro View Post
Use the utility /sbin/modinfo.
No joy. It tells the kernel version number, but not the module version number.
 
Old 03-13-2010, 06:44 PM   #4
Electro
Guru
 
Registered: Jan 2002
Posts: 6,042

Rep: Reputation: Disabled
Quote:
Originally Posted by Rulatir View Post
No joy. It tells the kernel version number, but not the module version number.
It should be posted if the developer included in module info section, but not all them do. If it is not there, check in /sys or /proc. Since every developer writes in a proprietary way, you have to find it on your own. For example nVdidia states its version at /proc/driver/nvidia/version.

BTW, this is an old thread.
 
Old 02-26-2013, 02:34 PM   #5
sarovasc
LQ Newbie
 
Registered: Feb 2013
Posts: 1

Rep: Reputation: Disabled
I know this is a really old thread,but just in case anyone get in here trying to find out how to get information about a module (such as I did),you can get it with modinfo.

Code:
#modinfo module-file
Sample output:
Code:
# modinfo megaraid_sas
filename:       /lib/modules/3.0.13-0.27-default/kernel/drivers/scsi/megaraid/megaraid_sas.ko
description:    LSI MegaRAID SAS Driver
author:         megaraidlinux@lsi.com
version:        06.504.01.00
license:        GPL
srcversion:     DB02E0DDF28253336EC1780
alias:          pci:v00001000d0000005Dsv*sd*bc*sc*i*
alias:          pci:v00001000d0000005Bsv*sd*bc*sc*i*
alias:          pci:v00001028d00000015sv*sd*bc*sc*i*
alias:          pci:v00001000d00000413sv*sd*bc*sc*i*
alias:          pci:v00001000d00000071sv*sd*bc*sc*i*
alias:          pci:v00001000d00000073sv*sd*bc*sc*i*
alias:          pci:v00001000d00000079sv*sd*bc*sc*i*
alias:          pci:v00001000d00000078sv*sd*bc*sc*i*
alias:          pci:v00001000d0000007Csv*sd*bc*sc*i*
alias:          pci:v00001000d00000060sv*sd*bc*sc*i*
alias:          pci:v00001000d00000411sv*sd*bc*sc*i*
depends:        scsi_mod
supported:      external
vermagic:       3.0.13-0.27-default SMP mod_unload modversions 
parm:           max_sectors:Maximum number of sectors per IO command (int)
parm:           msix_disable:Disable MSI-X interrupt handling. Default: 0 (int)
parm:           msix_vectors:MSI-X max vector count. Default: Set by FW (int)
parm:           throttlequeuedepth:Adapter queue depth when throttled due to I/O timeout. Default: 16 (int)
parm:           resetwaittime:Wait time in seconds after I/O timeout before resetting adapter. Default: 180 (int)

Last edited by sarovasc; 02-27-2013 at 03:07 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
failed make check on:Linux from Scratch - Version SVN-20050524 - 6.11. Glibc-2.3.5 jery_wang2002 Linux From Scratch 3 06-02-2005 03:44 PM
how to compile a module with a newer version of the linux kernel? fvarela Programming 2 07-29-2004 03:00 AM
Xfree Error (EE) module ABI minor version (7) is newer than the server's version (6) jimdaworm Slackware 0 10-17-2003 06:26 PM
Xfree prob radeon.o kernel module version is 1.1.1 but version 1.5.0 or newer needed. jimdaworm Slackware 0 10-01-2003 07:27 PM
Sample Driver Module incompatibility with Kernel version (or gcc version) jvs Linux - General 1 06-07-2002 02:40 AM


All times are GMT -5. The time now is 02:36 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration